package org.openmobileis.oscar;

import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.oscar.bundlemanager.OscarBundleManager;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	public void start(BundleContext context) throws Exception {
/*        context.registerService(
            OscarBundleUtils.class.getName(), new OscarBundleUtils(context), null);*/
		
		// Init the Log Manager with null.
		if (LogManager.getInstance() == null) {
			LogManager.registerLogManager(null);
		}
		        
		OscarBundleManager.setContext(context);
		
		OscarBundleManager.getManager().startBundles();
		
	}

	public void stop(BundleContext context) throws Exception {
        // NOTE: The service is automatically unregistered.
	}

}
