/*
 * $Id: ObjectContainer.java,v 1.1 2005/07/19 12:27:49 dev Exp $
 * S.O.D.A.  -  Simple Object Database Access
 */
package  org.odbms;


/**
 * database engine interface.
 * <br><br>The <code>ObjectContainer</code> interface provides all methods
 * to store, retrieve and delete objects and to change object state.
 */
public interface ObjectContainer {

    /**
     * factory method to create a new <a href="Query.html">
     * <code>Query</code></a> object to query this ObjectContainer.
     * @return a new Query object
     */
    public Query query ();

}
