/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2004  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.crm.data.common;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class DefaultGlobalProperty implements GlobalProperty {
	static final long serialVersionUID = 5521257935120563452L;

	protected String servicePropery;
	protected String propertyKey;
	protected String propertyValue;
  /**
   * 
   */
  public DefaultGlobalProperty(String service, String key) {
    super();
    this.servicePropery = service;
    this.propertyKey = key;
  }
  /**
   * @return
   */
  public String getPropertyKey() {
    return propertyKey;
  }

  /**
   * @return
   */
  public String getPropertyValue() {
    return propertyValue;
  }

  /**
   * @return
   */
  public String getServiceProperty() {
    return servicePropery;
  }

  /**
   * @param string
   */
  public void setPropertyValue(String string) {
    propertyValue = string;
  }

}
