package org.openmobileis.modules.profils.embedded.data;

import java.util.Enumeration;
import java.util.Hashtable;

import org.openmobileis.common.util.collection.Array;

public class ProfilModule {
	
	private String name;
	private String version;
	private Hashtable properties;
	private Array rubrics;
	
	public ProfilModule() {
		this.properties = new Hashtable();
		this.rubrics = new Array();
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getName() {
		return this.name;
	}
	
	public void setVersion(String version) {
		this.version = version;
	}
	
	public String getVersion() {
		return this.version;
	}
	
	public void addProperty(String name, String value) {
		properties.put(name, value);
	}
	
	public String getProperty(String name) {
		return (String)this.properties.get(name);
	}
	
	public String[] getAllPropertiesNames() {
		Enumeration enumkeys = this.properties.keys();
		Array keys = new Array();
		while (enumkeys.hasMoreElements()) {
			keys.add((String)enumkeys.nextElement());
		}
		String[] result = new String[keys.size()];
		keys.toArray(result);
		return result;
	}
	
	public void addRubric(String rubric) {
		this.rubrics.add(rubric);
	}
	
	public Array getRubrics() {
		return this.rubrics;
	}

}
