package org.openmobileis.services.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.util.log.LogManager;

/**
 * @author Philippe Delrieu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ShutdownServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
  
  public ShutdownServlet()	{
    System.out.println("ShutdownServlet init");
  }


  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
   // write answer
    res.setContentType( "text/html" );
//    res.getWriter().println("<HTML><BODY></BODY></HTML>");
		res.getOutputStream().write("<HTML><BODY>Vous pouvez fermer la fentre</BODY></HTML>".getBytes());
    this.finalizeBeforeShutdown();
    Runnable toShut = new Runnable(){
      public void run() {
        try {
          // wait to end request
 //        LogManager.traceDebug(0, "before shut wait:");
          Thread.currentThread().sleep(2000);
          // stop
	//				LogManager.traceDebug(0, "after shut wait :");
          System.exit(1);          
        } catch (Exception ex)  {
        	LogManager.traceError(0, ex);
        }
      }
    };
    
    Thread th = new Thread(toShut);
    th.start();
	//	LogManager.traceDebug(0, "return shutdown servlet");
  }
  
  protected void finalizeBeforeShutdown()	{}
}
