/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */
package org.openmobileis.synchro.algo.syncnumber.impl;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author Romain Beaugrand
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class OracleUtils {

	public static String getDateFromLong(long time) {
		SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		StringBuffer stringBuf = new StringBuffer("TO_DATE('");
		stringBuf.append(format.format(new Date(time)));
		stringBuf.append("', 'yyyy-mm-dd hh24:mi:SS')");
		return stringBuf.toString();
	}
	
	public static String getDateFromLong(String time) {
		return getDateFromLong(Long.parseLong(time));
	}
	
	public static long getLongFromDate(Date date) {
		return date.getTime();
	}
	
	public static String getNonNullString(String str) {
		if (str == null) {
			return "";
		}
		return str;
	}

}
