--
-- Initialization data for the Dummy-1.0 module
--
-- @author Stefano Fornari
-- @author 
-- @version $Id: init_schema.sql,v 1.7 2005/06/06 11:01:41 fabius Exp $
--

--
-- Module structure registration
--

delete from sync4j_sync_source_type where id='dummy-1.2';
insert into sync4j_sync_source_type(id, description, class, admin_class)
values('dummy-1.2','Dummy SyncSource','sync4j.examples.engine.source.DummySyncSource','sync4j.examples.admin.DummySyncSourceConfigPanel');

delete from sync4j_module where id='dummy-1.2';
insert into sync4j_module (id, name, description)
values('dummy-1.2','dummy-1.2','Dummy 1.2');

delete from sync4j_connector where id='dummy-1.2';
insert into sync4j_connector(id, name, description, admin_class)
values('dummy-1.2','Sync4jDummyConnector','Sync4j Dummy Connector','');

delete from sync4j_connector_source_type where connector='dummy-1.2' and sourcetype='dummy-1.2';
insert into sync4j_connector_source_type(connector, sourcetype)
values('dummy-1.2','dummy-1.2');

delete from sync4j_module_connector where module='dummy-1.2' and connector='dummy-1.2';
insert into sync4j_module_connector(module, connector)
values('dummy-1.2','dummy-1.2');